/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package testing.ejbeans.testmultipleejbs;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 *
 * @author vamsee
 */
@MessageDriven(mappedName = "queue/TestMDB", activationConfig = {
    @ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge"),
    @ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue")
})
public class TestMDB implements MessageListener {

    @Resource(name = "someEnv")
    public String someEnv;

    @PostConstruct
    public void postConstruct() {
//        InitialContext ctx;
//        try {
//            ctx = new InitialContext();
//            someEnv = (String)ctx.lookup( "java:comp/env/someEnv" );
//        } catch (NamingException ex) {
//            Logger.getLogger(TestMDB.class.getName()).log(Level.SEVERE, null, ex);
//        }
        System.out.println("\nStatement1:- someEnv = " + someEnv+"\n");
    }

    public

     TestMDB() {
    }

    @Override
    public void onMessage(Message message) {
        try {
            System.out.println("\nStatementxxx:- someEnv = " + someEnv+"\n");
            System.out.println("\ninstance = " + this.toString() + " - someEnv = " + someEnv + " - message = " + ((TextMessage) message).getText()+"\n");
        } catch (JMSException e) {
            e.printStackTrace();
        }
    }
}
